# ！/usr/bin/ python
# -*- coding: utf-8 -*-
'''
@Project    : lq-agent-api
@File       :test_schemas.py
@IDE        :PyCharm
@Author     :
@Date       :2025/7/11 12:41
'''
from typing import Optional
from pydantic import BaseModel, constr, Field


class FormConfig(BaseModel):
    session_id: constr(max_length=128) =Field(description="会话id")



class TestForm(BaseModel):
    config: FormConfig
    input: Optional[str] = Field(description="用户输入")
    context: Optional[str]  = Field(default=None, description="参考上下文")
